在Centos 7下编译安装Python3

作为一个Python爱好者,喜欢使用比较新版本的Py,用yum或者其它包管理器安装的py太旧了,大概是3.6版本,新版本官网上没有编译好的。现在把编译步骤记录下来方便以后使用。
像我这种懒狗不喜欢整理,重复的事情都要去查一遍资料,每次装环境都是开好几个百度,期间踩坑也很多次,趁着现在有点时间记一下整个过程。

首先安装GCC 9
这是因为用yum安装的GCC是个古董,好像是4.8.5版本,在开了优化以后的编译会出现错误据说是个BUG。所以得用高版本GCC。 有次无聊去看编译器的更新日志,发现从4.8.5到9也好几年了,该用新的了。



查看全文 »